wmacpi (2.4-1) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.
  * Switch Priority from extra to optional.
  * Update homepage to dockapps.net.

  [ Jeremy Sowden ]
  * New upstream version 2.4.
    - fixes GCC-10 FTBFS (closes: #957938).
  * Bump compat to 12 and replace d/compat with b-d on debhelper-compat.
  * Bump Standards-Version to 4.5.0.
  * Add myself to uploaders.
  * Add hardening to d/rules.
  * Set Rules-Requires-Root: no.
  * Remove get-orig-source.
  * Update dockapps.net URL's to https.
  * Add patch to correct typo in man-page.

  [ Andreas Metzler ]
  * Update upstream contact in debian/copyright.
  * Drop now unneeded DEB_CPPFLAGS_MAINT_APPEND from debian/rules.

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 03 May 2020 14:17:51 +0100

wmacpi (2.3-2) unstable; urgency=medium

  * debian/control
    - Tidy up using wrap-and-sort.
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/rules
    - Add new path to libdockapp header file to CPPFLAGS (Closes: #798188).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 06 Sep 2015 11:24:35 -0400

wmacpi (2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
    - Remove unnecessary Build-Depends on x11proto-core-dev.
    - Update Architecture to linux-any.
  * debian/rules
    - Update get-orig-source target for new versions of uscan and rename.
    - Remove override_dh_auto_clean target; no longer needed.
    - Update override_dh_auto_install target; Makefile now respects DESTDIR.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 24 Nov 2014 06:30:45 -0600

wmacpi (2.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove debian/patches; all patches applied upstream.
    - Remove README.source; all changes applied upstream.
  * debian/control:
    - Update Homepage.
  * debian/copyright:
    - Update Upstream-Contact and Source.
  * debian/rules:
    - Add get-orig-source target.
  * debian/watch:
    - Update with new location.
    - Remove dversionmangle option.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Fri, 22 Aug 2014 19:29:47 -0500

wmacpi (2.2~rc5+ds-1) unstable; urgency=low

  * Repack source tarball to exclude .arch-ids and .hg*.
    + Add debian/README.source to explain this.
    + Add dversionmangle option to debian/watch.
  * Rename /usr/bin/acpi to /usr/bin/wmacpi-cli to avoid conflict with the acpi
    package.
    + Remove Breaks: acpi from debian/control.
    + Add debian/patches/rename_acpi_to_wmacpi-cli.patch, which does the
      renaming.
    + Add explanation to debian/README.source.
  * debian/control:
    + Bump Standards-Version to 3.9.5, no changes required.
    + Update Homepage.
    + Add Vcs-* fields.
  * debian/copyright:
    + Update Upstream-Contact and Source.
  * debian/dirs:
    + Remove file; unneccessary as directory is created by make install.
  * debian/manpages:
    + Remove file; manpages now installed by debian/rules.
  * debian/patches:
    + Remove man_no_acpi.patch since (wm)acpi(-cli) has been included in package
      since version 2.2~rc5-2.
    + Add debian/patches/install_manpages_to_usr_share.patch, which correctly
      installs manpages to /usr/share/man/man1.
  * debian/rules:
    + Change to use upstream make install.
  * debian/watch:
    + Update location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 28 Jul 2014 16:38:37 -0500

wmacpi (2.2~rc5-2) unstable; urgency=low

  * New maintainer. (Closes: #688533)
  * debian/compat:
    + Bump debhelper version to 9.
  * debian/control:
    + Bump Standards-Version to 3.9.4, no changes required.
    + Add Breaks: acpi (both install /usr/bin/acpi).
  * debian/copyright:
    + Update to copyright format 1.0.
  * debian/rules:
    + Simplify to debhelper 7 style.
  * debian/patches:
    + Fix compiler flags to harden binaries.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 13 Oct 2013 19:40:05 -0500

wmacpi (2.2~rc5-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).
  * debian/control:
    + Bump Standards-Version to 3.9.2, no changes required.
    + Do not recommend wmaker, as dockapps can be used with
      a number of other window managers.
    + Drop dpatch build dependency.
  * debian/rules:
    + Drop dpatch code.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 12:34:39 +0200

wmacpi (2.2~rc4-2) unstable; urgency=low

  * debian/control:
    + Add build dependency on libxext-dev instead of x11proto-xext-dev
      to account for changes in the X packaging. (Closes: #569362)
    + Bump Standards-Version to 3.8.4, no changes required.
    + Add ${misc:Depends}.
  * debian/copyright:
    + Refer explicitly to the GPL-2 file.

 -- Julien BLACHE <jblache@debian.org>  Sat, 13 Feb 2010 09:26:32 +0100

wmacpi (2.2~rc4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 3.8.0, no changes required.
  * debian/patches/10_man_no_acpi.dpatch:
    + Updated; add a patch description.

 -- Julien BLACHE <jblache@debian.org>  Fri, 14 Nov 2008 19:06:56 +0100

wmacpi (2.2~rc3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_power_supply_and_misc_fixes.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Sat, 22 Mar 2008 10:12:25 +0100

wmacpi (2.2~rc1-4) unstable; urgency=low

  * debian/patches/01_power_supply_and_misc_fixes.dpatch:
    + Updated; take into account that batteries can report either their energy
      level, charge level, or capacity percentage. (Closes: #465388)

 -- Julien BLACHE <jblache@debian.org>  Wed, 13 Feb 2008 22:09:30 +0100

wmacpi (2.2~rc1-3) unstable; urgency=low

  * debian/patches/01_power_supply_and_misc_fixes.dpatch:
    + Added; add support for the power_supply class for 2.6.24+ and other misc
      fixes (mostly graphical glitches). (Closes: #463446)
  * debian/control:
    + Bump Standards-Version to 3.7.3, no changes required.
    + Move homepage to Homepage: field.
  * debian/copyright:
    + Added proper copyrights.

 -- Julien BLACHE <jblache@debian.org>  Sun, 10 Feb 2008 18:37:35 +0100

wmacpi (2.2~rc1-2) unstable; urgency=low

  * debian/menu:
    + Add a description.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 21:00:40 +0200

wmacpi (2.2~rc1-1) unstable; urgency=low

  * New maintainer. (Closes: #420091)
  * New upstream release.
    + Improve handling with non-WindowMaker window managers.
      (Closes: #280495, #293546)
    + Fix redraw logic. (Closes: #423712)
  * debian/copyright:
    + Update download URL. (Closes: #429698)
    + Update author's email address.
  * debian/control:
    + Update URL.
    + Add Build-Depends: dpatch.
  * debian/rules:
    + Add dpatch stuff.
  * debian/menu:
    + Move menu entry to Applications/System/Monitoring.
  * debian/patches/10_man_no_acpi.dpatch:
    + Added; acpi is not shipped in the package, so don't document it.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 21:00:26 +0200

wmacpi (2.1-9) unstable; urgency=low

  * QA upload.
  * Add support for the new Linux 2.6 ACPI sysfs hierarchy. (Closes: #412605)
    Thanks to Samuel “the shark” Ortiz <samuel@sortiz.org>.
  * Remove initial preposition from the short description.
  * Update watch file to version 3 (no changes needed).
  * Change x-dev Build-Depends to x11proto-core-dev.
  * Add missing Build-Depends x11proto-xext-dev and libxpm-dev.
  * Do not use '/usr/X11R6/lib' and '/usr/X11R6/include' when compiling.
  * Do not complain if the dependency files (.d) are not found when including
    them in the Makefile.
  * Clean up debian/copyright:
    + Use 'License' instead of 'Copyright'.
    + Add a new 'Upstream authors' section heading.
  * Clean up debian/rules:
    + Remove empty configure target.
    + Move duped cflags assignments in noopt to a common assignment.
    + Do not use a build-stamp file.
    + Remove boilerplate comments.
    + Add build-indep and build-arch targets. Make build depend on both.
    + Rename install to install-arch, make it depend on build-arch.
    + Change binary-indep to not depend on anything.
    + Change binary-arch to depend on install-arch.

 -- Guillem Jover <guillem@debian.org>  Tue, 22 May 2007 14:47:25 +0300

wmacpi (2.1-8) unstable; urgency=low

  * Orphan package.

 -- Sebastian Henschel <shensche@debian.org>  Fri, 20 Apr 2007 10:54:39 +1200

wmacpi (2.1-7) unstable; urgency=low

  * New upstream release.
    + Fix display issues with newer versions of libdockapp.
      (Closes: #280495, #293546)

 -- Sebastian Henschel <shensche@debian.org>  Thu, 22 Feb 2007 17:44:08 +1300

wmacpi (2.1-6) unstable; urgency=low

  * wmacpi.c:
    + Slight modification of libdockapp0.6 patch.
  * Makefile:
    + Removed inclusion of libXext and libXpm as suggested at
      http://rerun.lefant.net/checklib/log.wmacpi_2.1-5.html.
  * debian/control?
    + Bump Standards-Version to 3.7.2.0, no changes required.
    + Remove Build-Depends on libxext-dev and libxpm-dev.

 -- Sebastian Henschel <shensche@debian.org>  Tue, 26 Sep 2006 13:42:52 +1200

wmacpi (2.1-5) unstable; urgency=low

  * wmacpi.c:
    + Fix previous patch which let libdockapp hijack command line
      options from wmacpi. (Closes: #350887)

 -- Sebastian Henschel <shensche@debian.org>  Thu,  2 Feb 2006 14:20:24 +0100


wmacpi (2.1-4) unstable; urgency=low

  * wmacpi.c:
    + Add compatibility patch for libdockapp 0.6.x. (Closes: #350445)

 -- Sebastian Henschel <shensche@debian.org>  Tue, 31 Jan 2006 09:31:47 +0100

wmacpi (2.1-3) unstable; urgency=low

  * debian/control:
    + Change build dependencies due to xlibs-dev transition.
  * debian/copyright:
    + Update mail address of the FSF.

 -- Sebastian Henschel <shensche@debian.org>  Thu,  1 Dec 2005 11:10:44 +0100

wmacpi (2.1-2) unstable; urgency=low

  * debian/watch:
    + Update to reflect new download location.
  * debian/control:
    + Add amd64 to Architecture field in debian/control. (Closes: #323456)
    + Bump Standards-Version to 3.6.2.0, no changes required.
  * debian/menu:
    + Fix capitalisation of application title in debian/menu. (Closes: #320613)

 -- Sebastian Henschel <shensche@debian.org>  Sun, 21 Aug 2005 11:42:59 +0200

wmacpi (2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Change build dependency on libdockapp-dev to (>=1:0.5.0-1).
      (Closes: #286663, #292599, #292115)
  * wmacpi.1:
    + Unskew section "AUTHOR" and update dates. (Closes: #280082)

 -- Sebastian Henschel <shensche@debian.org>  Wed,  2 Feb 2005 09:56:55 +0100


wmacpi (2.0-1) unstable; urgency=low

  * New upstream release.
    + Compute the discharge rate when ACPI does not provide it.
      (Closes: #228047)
  * wmacpi.1:
    + Purge stuff for the command line tool "acpi" which is not shipped
      with Debian. (Closes: #276712)

 -- Sebastian Henschel <shensche@debian.org>  Mon, 25 Oct 2004 13:25:04 +0200

wmacpi (1.99r7-1) unstable; urgency=low

  * New upstream release.
    + Port wmacpi to use libdockapp. (Closes: #227819)
  * debian/control:
    + Add build dependency to libdockapp-dev.

 -- Sebastian Henschel <shensche@debian.org>  Thu, 26 Aug 2004 14:48:47 +0200

wmacpi (1.99r6-1) unstable; urgency=low

  * New upstream release.
    + Make parsing of ACPI information more robust. (Closes: #250729)
  * debian/control:
    + Bump Standards-Version to 3.6.1.1, no changes required.
  * debian/control:
    + Update maintainer's email address.

 -- Sebastian Henschel <shensche@debian.org>  Mon,  2 Aug 2004 22:07:55 +0200

wmacpi (1.99r5-1) unstable; urgency=low

  * New upstream release.
    + Improve semantics of the "-b" option. (Closes: #226039)
    + Improve error handling when ACPI isn't properly configured.
      (Closes: #229746)
    + Add option to disable scrolling in text messages. (Closes: #242901)
    + Add patch for proper file handling. (Closes: #245024)
    + Allow periodic reinitialization of battery and AC adapter information
      to detect when the battery has been replaced. (Closes: #141422)

 -- Sebastian Henschel <shensche@kodeaffe.de>  Mon, 26 Apr 2004 14:11:27 +0200

wmacpi (1.99r3-1) unstable; urgency=low

  * New upstream release.
    + Re-add the option to enable acoustic low battery warning.
      (Closes: #226039)
  * Remove debian/wmacpi.1, upstream ships its own manpage now.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Tue, 13 Jan 2004 13:06:37 +0100

wmacpi (1.99-1) unstable; urgency=low

  * New upstream maintainer.
    + Friendly takeover of wmacpi. This is a complete rewrite, because
      the previous version does not work well with kernels with a recent
      implementation of ACPI.
    + Fix an issue where wmacpi would not correctly dock
      in Window Maker. (Closes: #218017)
    + Fix an issue where wmacpi would not detect the first battery
      BAT1 and always use BAT2 as the first battery. (Closes: #204723)
  * debian/control:
    + Change priority back to "extra", because ACPI itself is still
      experimental in the kernel.
    + Bump Standards-Version to 3.6.1.0.
    + Modify the description to reflect new situation of upstream and
      kernel support.
  * debian/copyright:
    + Include mention of new upstream.
  * debian/wmacpi.1:
    + Modify man page to reflect new options and upstream maintainer.
  * debian/README.Debian:
    + Freshly created README which describes the upstream takeover a little
      bit.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Tue, 25 Nov 2003 07:23:52 +0100

wmacpi (1.34-1) unstable; urgency=low

  * New maintainer.
  * New upstream release. (Closes: #143387)
  * debian/control:
    + Update description.
    + Bump Standards-Version to 3.5.9.
    + Bump build-dependency on debhelper to >= 4.
    + Change priority to "optional".
    + Add "wmaker" to Recommends.
  * debian/compat:
    + Introduce this file and set its contents to "4".
  * debian/copyright:
    + Update maintainer and homepage infos.
  * debian/rules:
    + Make some minor modifications to comply with policy.
  * debian/watch:
    + Introduce this file, which seems to be currently useless, though. The
      web server does not allow browsing in the necessary directories.
  * debian/docs:
    + Include AUTHORS.
  * debian/wmacpi.1:
    + Update man page to reflect current parameters of wmacpi.

 -- Sebastian Henschel <shensche@kodeaffe.de>  Sat, 19 Apr 2003 17:09:11 +0200

wmacpi (1.33-1) unstable; urgency=low

  * New upstream release.

 -- Simon Richter <sjr@debian.org>  Mon, 28 May 2001 01:49:55 +0200

wmacpi (1.31-1) unstable; urgency=low

  * Initial release. (Closes: #90347)

 -- Simon Richter <Simon.Richter@phobos.fs.tum.de>  Mon, 19 Mar 2001 23:26:49 +0100
